// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// The Skill Tree Editor commands class.
//////////////////////////////////////////

#pragma once

class FSkillTreeEditorCommands : public TCommands<FSkillTreeEditorCommands>
{
public:
	FSkillTreeEditorCommands()
		: TCommands<FSkillTreeEditorCommands>(
		TEXT( "SkillTreeEditor" ),
		NSLOCTEXT( "Contexts", "SkillTreeEditor", "Skill Tree Editor" ),
		NAME_None,
		FName(TEXT("null"))
		)
	{
	}

	// TCommand<> interface
	virtual void RegisterCommands() override;
	// End of TCommand<> interface

	//TODO: Remove?
	TSharedPtr<FUICommandInfo> setShowGrid;
	TSharedPtr<FUICommandInfo> enterViewMode;
};